Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227206 - elfutils declares/exports function as dwarf_getelf but define it as dwarf_get_elf
Summary: elfutils declares/exports function as dwarf_getelf but define it as dwarf_get...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: elfutils
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Roland McGrath
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-03 15:42 UTC by Davi Arnaut
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.126-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-05 22:57:23 UTC


Attachments (Terms of Use)

Description Davi Arnaut 2007-02-03 15:42:32 UTC
In dwarf_getelf.c the function is defined as dwarf_get_elf while in libdw.h is exported as dwarf_getelf.

Comment 1 Roland McGrath 2007-02-03 18:29:42 UTC
Thanks, I've fixed the upstream code to actually define and export dwarf_getelf
as it claimed to.

Comment 2 Roland McGrath 2007-02-05 22:57:23 UTC
This is fixed in 0.126.


Note You need to log in before you can comment on or make changes to this bug.